@echo off
echo.
echo This will remove "Thief Gold Patch for Fan Missions".
echo.
echo Press any key to continue, or CONTROL-C to abort.
pause>nul

REM *** If there are any CRF files here, something's wrong
if exist *.crf goto ERR_CRF

REM *** If there are no backup files, something's wrong
if not exist tgpatch_bak\dark.gam goto ERR_BACKUP
if not exist tgpatch_bak\install.cfg goto ERR_BACKUP

REM *** Rock and Roll!

if exist crfs\*.crf move crfs\*.crf .
if not exist crfs\*.* rd crfs
if exist dark.gam del dark.gam
if exist install.cfg del install.cfg
move tgpatch_bak\dark.gam .
move tgpatch_bak\install.cfg .
if not exist tgpatch_bak\*.* rd tgpatch_bak
if exist tgpatch\fam.crf del tgpatch\fam.crf
if exist tgpatch\mesh.crf del tgpatch\mesh.crf
if exist tgpatch\motions.crf del tgpatch\motions.crf
if exist tgpatch\obj.crf del tgpatch\obj.crf
if exist tgpatch\snd.crf del tgpatch\snd.crf
if exist tgpatch\strings.crf del tgpatch\strings.crf
if not exist tgpatch\*.* rd tgpatch
if exist tgpatch.txt del tgpatch.txt

:SUCCESS
echo.
echo Patch removed!
echo.

echo Ignore the following "Batch file missing" message...
if exist %0.bat del %0.bat
if exist %0 del %0
goto END

:ERR_CRF
echo Error! There are existing CRF files in the base Thief directory. Either the
echo patch was not successfully installed, or the directory has changed since
echo installing the patch.
goto END

:ERR_NO_CRF
echo Error! There are no CRF files in the "crfs" directory. Either the
echo patch was not successfully installed, or the directory has changed since
echo installing the patch.
goto END

:ERR_BACKUP
echo Error! There are no backup files in the "tgpatch_bak" directory. Either the
echo patch was not successfully installed, or the directory has changed since
echo installing the patch.
goto END

:END
